Package org.drinkless.tdlib

# Class TdApi.StarTransactionType

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransactionType

Direct Known Subclasses:
  `TdApi.StarTransactionTypeAffiliateProgramCommission`, `TdApi.StarTransactionTypeAppStoreDeposit`, `TdApi.StarTransactionTypeBotInvoicePurchase`, `TdApi.StarTransactionTypeBotInvoiceSale`, `TdApi.StarTransactionTypeBotPaidMediaPurchase`, `TdApi.StarTransactionTypeBotPaidMediaSale`, `TdApi.StarTransactionTypeBotSubscriptionPurchase`, `TdApi.StarTransactionTypeBotSubscriptionSale`, `TdApi.StarTransactionTypeBusinessBotTransferReceive`, `TdApi.StarTransactionTypeBusinessBotTransferSend`, `TdApi.StarTransactionTypeChannelPaidMediaPurchase`, `TdApi.StarTransactionTypeChannelPaidMediaSale`, `TdApi.StarTransactionTypeChannelPaidReactionReceive`, `TdApi.StarTransactionTypeChannelPaidReactionSend`, `TdApi.StarTransactionTypeChannelSubscriptionPurchase`, `TdApi.StarTransactionTypeChannelSubscriptionSale`, `TdApi.StarTransactionTypeFragmentDeposit`, `TdApi.StarTransactionTypeFragmentWithdrawal`, `TdApi.StarTransactionTypeGiftAuctionBid`, `TdApi.StarTransactionTypeGiftOriginalDetailsDrop`, `TdApi.StarTransactionTypeGiftPurchase`, `TdApi.StarTransactionTypeGiftPurchaseOffer`, `TdApi.StarTransactionTypeGiftSale`, `TdApi.StarTransactionTypeGiftTransfer`, `TdApi.StarTransactionTypeGiftUpgrade`, `TdApi.StarTransactionTypeGiftUpgradePurchase`, `TdApi.StarTransactionTypeGiveawayDeposit`, `TdApi.StarTransactionTypeGooglePlayDeposit`, `TdApi.StarTransactionTypePaidGroupCallMessageReceive`, `TdApi.StarTransactionTypePaidGroupCallMessageSend`, `TdApi.StarTransactionTypePaidGroupCallReactionReceive`, `TdApi.StarTransactionTypePaidGroupCallReactionSend`, `TdApi.StarTransactionTypePaidMessageReceive`, `TdApi.StarTransactionTypePaidMessageSend`, `TdApi.StarTransactionTypePremiumBotDeposit`, `TdApi.StarTransactionTypePremiumPurchase`, `TdApi.StarTransactionTypePublicPostSearch`, `TdApi.StarTransactionTypeSuggestedPostPaymentReceive`, `TdApi.StarTransactionTypeSuggestedPostPaymentSend`, `TdApi.StarTransactionTypeTelegramAdsWithdrawal`, `TdApi.StarTransactionTypeTelegramApiUsage`, `TdApi.StarTransactionTypeUnsupported`, `TdApi.StarTransactionTypeUpgradedGiftPurchase`, `TdApi.StarTransactionTypeUpgradedGiftSale`, `TdApi.StarTransactionTypeUserDeposit`

Enclosing class:
  `TdApi`

public abstract static class TdApi.StarTransactionType extends TdApi.Object
This class is an abstract base class. Describes type of transaction with Telegram Stars.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `TdApi.StarTransactionType.Constructors`
  Describes possible values returned by getConstructor().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransactionType()`
  Default class constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StarTransactionType

    public StarTransactionType()
    Default class constructor.

- ## Method Details

  - ### getConstructor

    public abstract int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      identifier uniquely determining type of the object.